FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Functions
terminal.hpp File Reference

Go to the source code of this file.

## Classes
struct | Dimensions
| Dimensions is a structure that represents the size of the terminal. More...

## Namespaces
namespace | ftxui
| The FTXUI ftxui:: namespace.
namespace | ftxui::Terminal

## Enumerations
enum | Color { Palette1 , Palette16 , Palette256 , TrueColor }
| Color is an enumeration that represents the color support of the terminal. More...

## Functions
Dimensions | Size ()
| Get the terminal size.
void | SetFallbackSize (const Dimensions &fallbackSize)
| Override terminal size in case auto-detection fails.
Color | ColorSupport ()
| Get the color support of the terminal.
void | SetColorSupport (Color color)
| Override terminal color support in case auto-detection fails.